import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

class TdChartSeriesWordcloudComponent extends TdSeriesDirective {
    data;
    shape;
    left;
    top;
    width;
    height;
    right;
    bottom;
    sizeRange;
    rotationRange;
    rotationStep;
    gridSize;
    drawOutOfBound;
    textStyle;
    constructor(_optionsService) {
        super('wordCloud', _optionsService);
    }
    getConfig() {
        return {
            shape: this.shape,
            left: this.left,
            top: this.top,
            width: this.width,
            height: this.height,
            right: this.right,
            bottom: this.bottom,
            sizeRange: this.sizeRange,
            rotationRange: this.rotationRange,
            rotationStep: this.rotationStep,
            gridSize: this.gridSize,
            drawOutOfBound: this.drawOutOfBound,
            textStyle: this.textStyle,
        };
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.1.7", ngImport: i0, type: TdChartSeriesWordcloudComponent, deps: [{ token: i1.TdChartOptionsService }], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.1.7", type: TdChartSeriesWordcloudComponent, selector: "td-chart-series[td-wordCloud]", inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", shape: "shape", left: "left", top: "top", width: "width", height: "height", right: "right", bottom: "bottom", sizeRange: "sizeRange", rotationRange: "rotationRange", rotationStep: "rotationStep", gridSize: "gridSize", drawOutOfBound: "drawOutOfBound", textStyle: "textStyle" }, providers: [
            {
                provide: TdSeriesDirective,
                useExisting: forwardRef(() => TdChartSeriesWordcloudComponent),
            },
        ], usesInheritance: true, ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.1.7", ngImport: i0, type: TdChartSeriesWordcloudComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'td-chart-series[td-wordCloud]',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    inputs: [
                        'config',
                        'id',
                        'name',
                        'color',
                        'data',
                        'animation',
                        'animationThreshold',
                        'animationDuration',
                        'animationEasing',
                        'animationDelay',
                        'animationDurationUpdate',
                        'animationEasingUpdate',
                        'animationDelayUpdate',
                        'tooltip',
                    ],
                    providers: [
                        {
                            provide: TdSeriesDirective,
                            useExisting: forwardRef(() => TdChartSeriesWordcloudComponent),
                        },
                    ],
                }]
        }], ctorParameters: function () { return [{ type: i1.TdChartOptionsService }]; }, propDecorators: { data: [{
                type: Input
            }], shape: [{
                type: Input
            }], left: [{
                type: Input
            }], top: [{
                type: Input
            }], width: [{
                type: Input
            }], height: [{
                type: Input
            }], right: [{
                type: Input
            }], bottom: [{
                type: Input
            }], sizeRange: [{
                type: Input
            }], rotationRange: [{
                type: Input
            }], rotationStep: [{
                type: Input
            }], gridSize: [{
                type: Input
            }], drawOutOfBound: [{
                type: Input
            }], textStyle: [{
                type: Input
            }] } });

const WORDCLOUD_MODULE_COMPONENTS = [
    TdChartSeriesWordcloudComponent,
];
class CovalentWordcloudEchartsModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.1.7", ngImport: i0, type: CovalentWordcloudEchartsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.1.7", ngImport: i0, type: CovalentWordcloudEchartsModule, declarations: [TdChartSeriesWordcloudComponent], imports: [CommonModule], exports: [TdChartSeriesWordcloudComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.1.7", ngImport: i0, type: CovalentWordcloudEchartsModule, imports: [CommonModule] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.1.7", ngImport: i0, type: CovalentWordcloudEchartsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [WORDCLOUD_MODULE_COMPONENTS],
                    exports: [WORDCLOUD_MODULE_COMPONENTS],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentWordcloudEchartsModule, TdChartSeriesWordcloudComponent, WORDCLOUD_MODULE_COMPONENTS };
//# sourceMappingURL=covalent-echarts-wordcloud.mjs.map
